
.menu-bar {
  z-index: 3 !important;
  position: absolute;
  top: 20px;
  right: 10px;
  list-style: none;

  .menu {
    display: block;
    float: left;
    margin-right: 10px;
    position: relative;
  }

  .button {
    border-radius: 4px;
    position: relative;
    border: 0;
    font-size: 0.8125rem;
    padding: 7px;
    color: #ebebeb;
    display: block;
    min-height: 28px;
    font-family: 'Product Sans', sans-serif;
    opacity: 0.95;
    background-color: #222831;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
    line-height: 1.3;
  }
  .button:hover {
    background-color: var(--bs-success);
  }

  .panel {
    position: absolute;
    right: 0px;
    top: auto;
    bottom: auto;
    margin: 14px 0 0 0;
    -moz-transform: scale(0) translateZ(0);
    -o-transform: scale(0) translateZ(0);
    -ms-transform: scale(0) translateZ(0);
    -webkit-transform: scale(0) translateZ(0);
    transform: scale(0) translateZ(0);
    -moz-transition: 0.2s all cubic-bezier(0.4, 0, 0.2, 1);
    -o-transition: 0.2s all cubic-bezier(0.4, 0, 0.2, 1);
    -webkit-transition: 0.2s all cubic-bezier(0.4, 0, 0.2, 1);
    transition: 0.2s all cubic-bezier(0.4, 0, 0.2, 1);
    -moz-transform-origin: 50% top;
    -o-transform-origin: 50% top;
    -ms-transform-origin: 50% top;
    -webkit-transform-origin: 50% top;
    transform-origin: 50% top;
    box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.24);
    z-index: 20;
    border-radius: 6px;
    background: #222831;
    color: #ebebeb;
    max-width: calc(100vw - 10px);

    .caret {
      content: '';
      display: block;
      height: 20px;
      width: 20px;
      background: #222831;
      position: absolute;
      top: -3px;
      z-index: -1;
      -moz-transform: rotate(45deg);
      -o-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
      -webkit-transform: rotate(45deg);
      transform: rotate(45deg);
      right: 24px;
    }

    .panel-body {
      max-height: calc(100vh - 150px);
      overflow-y: auto;
      overflow-x: hidden;
      font-size: 0.8125rem;
    }
  
    .panel-body::-webkit-scrollbar {
      width: 10px;
      height: 8px;
    }
  
    .panel-body::-webkit-scrollbar-thumb {
      background: rgba(136, 136, 136, 0.6);
    }
  
    .panel-body::-webkit-scrollbar-track {
      background: rgba(136, 136, 136, 0.1);
    }
  }

  .panel-open {
    -moz-transform: scale(1) translateZ(0);
    -o-transform: scale(1) translateZ(0);
    -ms-transform: scale(1) translateZ(0);
    -webkit-transform: scale(1) translateZ(0);
    transform: scale(1) translateZ(0);
  }

  .search-location {
    position: relative;
    border-radius: 4px;
  }
  .search-location > .icon {
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translateY(-50%);
    color: silver;
  }
  .search-location:active > input,
  .search-location > input:hover,
  .search-location > input:focus,
  .search-location > input:not(:placeholder-shown) {
    width: 254px;
  }
  .search-location:active > input + ul,
  .search-location > input:focus + ul,
  .search-location > ul.active-search {
    width: 100%;
    max-height: 300px;
    overflow-y: auto;
    display: block;
  }
  .search-location > ul {
    position: absolute;
    background: #28313a;
    color: #ffffff;
    font-size: 0.8125rem;
    display: none;
    list-style: none;
    border-bottom: 1px solid #fff;
    padding: 0;
  }
  .search-location > input {
    padding-left: calc(1em + 10px + 8px) !important; /* icon width + icon padding-left + desired separation*/
    padding-top: 7px;
    padding-right: 7px;
    padding-bottom: 7px;
    font-size: 0.8125rem;
    color: #ebebeb;
    display: block;
    height: 30.9px;
    width: 30.9px;
    font-family: 'Open Sans', sans-serif;
    opacity: 0.95;
    background-color: #222831;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
    line-height: 1.3;
    border: 0;
    border-radius: 4px;
  }
  .search-location > .icon {
    display: inline-block;
    width: 1em;
    height: 1em;
    stroke-width: 0;
    stroke: currentColor;
    fill: currentColor;
    z-index: 1;
  }
  .search-location > ul > li {
    padding: 8px;
    border-bottom: 1px solid #434f5b;
    cursor: pointer;
  }
  .search-location > ul > li:hover {
    background: #3b4651;
  }

  .export {
    .icon {
      position: absolute;
      top: 5px;
    }

    .panel {
      width: 300px;
    }
  }

  .maps {
    .panel {
      width: 300px;
    }
  }

  .user {
    .btn-login {
      width: 72px;
      background-color: var(--bs-success);
    }

    .btn-user {
      padding: 5px;
      width: 33px;
      height: 33px;
    }

    .panel {
      width: 200px;

      .caret {
        right: 7px;
      }

      .panel-body {
        max-height: 200px;
        overflow-y: hidden;
        border-bottom: 1px solid #171C24;

        .username {
          font-size: 14px;
          font-weight: 700;
        }
  
        .rolename {
          font-size: 13px;
          color: #A1A6AA;
        }
      }
      
      .btn-logout {
        background-color: #C64747 !important;
      }
      .btn-logout:hover {
        background-color: #c42b2b !important;
      }
    }
  }
}
